Index: build/android/envsetup.sh |
=================================================================== |
--- build/android/envsetup.sh (revision 182504) |
+++ build/android/envsetup.sh (working copy) |
@@ -113,6 +113,17 @@ |
return 1 |
fi |
+if [[ ! -z "$JAVA_HOME" && -e "$JAVA_HOME/bin/java" ]]; then |
Lei Zhang
2013/02/14 20:00:07
! -z ---> -n
-e ---> -x
bsalomon
2013/02/14 20:11:19
Done.
|
+ "$JAVA_HOME/bin/java" -version 2>&1 | grep -qs "Java HotSpot" |
+ if [ $? -ne 0 ]; then |
+ echo "If JAVA_HOME is defined then it must refer to the install location" |
+ echo "of the Oracle Java SDK." |
+ echo "Refer to the \"Install prerequisites\" section here:" |
+ echo "https://code.google.com/p/chromium/wiki/AndroidBuildInstructions" |
+ return 1 |
+ fi |
+fi |
+ |
# Workaround for valgrind build |
if [[ -n "$CHROME_ANDROID_VALGRIND_BUILD" ]]; then |
# arm_thumb=0 is a workaround for https://bugs.kde.org/show_bug.cgi?id=270709 |